.services-section {
  padding-bottom: 23.6vh;
  overflow: unset;
}
.services-section .section-header {
  padding: 0 var(--distance);
}
.services-section .section-header .section-title {
  font-size: 7.6rem;
  font-weight: 100;
  margin-bottom: 2.9rem;
  letter-spacing: -3px;
}
.services-section .section-header .section-subtitle {
  width: 42%;
  font-size: 2.9rem;
  font-weight: 100;
  line-height: 1.25;
  margin-bottom: 5rem;
  letter-spacing: 0.6px;
}
.services-section .container {
  padding-left: var(--distance);
  padding-right: var(--distance);
  padding-top: 4.5vh;
  display: flex;
}
.services-section .container .layout-left {
  width: 50%;
  background-color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}
.services-section .container .layout-left .services {
  display: flex;
  flex-wrap: wrap;
  gap: 4.2vh 18px;
}
.services-section .container .layout-left .services .service {
  flex: 1;
  min-width: 40%;
}
.services-section .container .layout-left .services .service .icon {
  width: fit-content;
  height: 4.4rem;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 25px;
}
.services-section .container .layout-left .services .service .icon img {
  width: auto;
  height: 100%;
  object-fit: contain;
}
.services-section .container .layout-left .services .service .title {
  font-size: 2.4rem;
  line-height: 1;
  margin-bottom: 13px;
}
.services-section .container .layout-left .services .service .description {
  font-size: 1.6rem;
}
.services-section .container .layout-right {
  background-color: #fff;
  flex: 1;
}
.services-section .container .layout-right .icons-container {
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: auto;
  margin-right: -52px;
}
.services-section .container .layout-right .icons-container .center {
  width: 7.3rem;
  height: 7.3rem;
  padding: 1.2rem;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: center;
  align-items: center;
}
.services-section .container .layout-right .icons-container .center svg {
  transform: scale(1) !important;
}
.services-section .container .layout-right .icons-container .icons {
  width: 100%;
  aspect-ratio: 1/1;
  margin: 5.8vw;
  position: relative;
  transform: translateY(4px);
  box-sizing: border-box;
}
.services-section .container .layout-right .icons-container .icons .icon-item {
  /** 角度偏移量：--deg是以水平角度计算 这会让第一个元素是水平的 */
  --deg-offset: 18deg;
  width: 50%;
  /** 除去中心logo的距离 */
  padding-right: calc((7.3rem + 2.4rem) / 2);
  gap: 2.3rem;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  position: absolute;
  top: 50%;
  transform-origin: right center;
  transform: translateY(-50%) rotate(calc(var(--deg) + var(--deg-offset)));
}
.services-section
  .container
  .layout-right
  .icons-container
  .icons
  .icon-item
  .icon {
  width: 4.4rem;
  height: 4.4rem;
  width: 5rem;
  height: 5rem;
  max-height: 5rem;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  transform: rotate(calc((var(--deg) + var(--deg-offset)) * -1));
}
.services-section
  .container
  .layout-right
  .icons-container
  .icons
  .icon-item
  .icon
  img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.services-section
  .container
  .layout-right
  .icons-container
  .icons
  .icon-item
  .line {
  flex: 1;
  height: 1px;
  background-color: var(--color);
}
.services-section .container .layout-right svg {
  transform: scale(0.85);
}
.services-section .container .layout-right .icons-container .center {
  transform-origin: center center;
  transition: 0.3s;
}
.services-section .container .layout-right .icons-container .center .center {
  display: flex;
  justify-content: center;
  align-items: center;
}
.services-section
  .container
  .layout-right
  .icons-container
  .center
  .icons
  .icon-item {
  opacity: 0;
  transition-delay: 0.1s;
}
.services-section .container .container .layout-left .wow {
  opacity: 0;
  transform: translateY(40px);
  transition: all 1s ease-in-out !important;
}
.services-section .container .container .layout-left .wow.animated {
  opacity: 1;
  transform: translateY(0);
}
.services-section .container .container .layout-right .icons-container .icons {
  transform: scale(0.9);
}
.services-section
  .container
  .container
  .layout-right
  .icons-container
  .icons
  .icon-item {
  opacity: 1;
  transition-delay: 0ms;
}
.services-section .container .container .layout-right .icons-container.wow {
  opacity: 0;
  transform: rotate(-45deg);
  transition: all 0.3s ease-in-out;
}
.services-section
  .container
  .container
  .layout-right
  .icons-container.wow.animated {
  opacity: 1;
  transform: rotate(0);
}
body:not(.wp-admin) .services-section .wow {
  transition: all 1s ease-in-out;
  transform: translateY(40px);
  opacity: 0;
}
body:not(.wp-admin) .services-section .wow.animated {
  transform: translateY(0);
  opacity: 1;
}
.services-section .layout-left {
  /* 和 js 的冲突 */
  /* 自定义滚动进度偏移：元素顶部进入视口 20% 时开始，进入 80% 时结束 */
}
@keyframes parallax {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(200px);
  }
}
@media all and (max-width: 1441px) {
  .services-section .section-header {
    padding: 0 var(--distance);
  }
  .services-section .section-header .section-title {
    font-size: var(--h1);
  }
  .services-section .section-header .section-subtitle {
    font-size: var(--h5);
  }
  .services-section .container .layout-left .services .service .icon {
    height: 3rem;
  }
  .services-section .container .layout-left .services .service .title {
    font-size: var(--h5);
  }
  .services-section .container .layout-left .services .service .description {
    font-size: var(--p);
  }
  .services-section .container .layout-right .icons-container .center svg {
    transform: scale(0.75) !important;
  }
  .services-section
    .container
    .layout-right
    .icons-container
    .icons
    .icon-item
    .icon {
    width: 3rem;
    height: 3rem;
  }
}
@media all and (max-width: 769px) {
  .services-section {
    padding-bottom: 9vh;
  }
  .services-section .section-header {
    padding: 0 var(--distance);
  }
  .services-section .section-header .section-title {
    font-size: var(--h1);
  }
  .services-section .section-header .section-subtitle {
    font-size: var(--h5);
  }
  .services-section .container {
    flex-direction: column;
  }
  .services-section .container .layout-left {
    width: 100%;
  }
  .services-section .container .layout-left .services {
    gap: 4.8vh 18px;
  }
  .services-section .container .layout-left .services .service .icon {
    height: 3rem;
  }
  .services-section .container .layout-left .services .service .title {
    font-size: 2.4rem;
  }
  .services-section .container .layout-left .services .service .description {
    font-size: 1.78rem;
  }
  .services-section .container .layout-right {
    padding: 3vh 0;
    position: relative;
    z-index: 9;
    background-color: #fff;
  }
  .services-section .container .layout-right .icons-container {
    width: 100%;
  }
  .services-section .container .layout-right .icons-container .center {
    width: 8.3rem;
    height: 8.3rem;
  }
  .services-section .container .layout-right .icons-container .center svg {
    width: 100%;
    height: 100%;
    transform: scale(1) !important;
  }
  .services-section .container .layout-right .icons-container .icons {
    margin: 0;
  }
  .services-section
    .container
    .layout-right
    .icons-container
    .icons
    .icon-item
    .icon {
    width: 4rem;
    height: 4rem;
  }
}
@media all and (max-width: 500px) {
  .services-section {
    padding-bottom: 9vh;
  }
  .services-section .section-header {
    padding: 0 var(--distance);
  }
  .services-section .section-header .section-title {
    font-size: var(--t1);
    letter-spacing: 0px;
    width: 100%;
  }
  .services-section .section-header .section-subtitle {
    width: 100%;
    font-size: var(--t3);
  }
  .services-section .container {
    flex-direction: column;
  }
  .services-section .container .layout-left {
    width: 100%;
  }
  .services-section .container .layout-left .services {
    gap: 4.8vh 18px;
  }
  .services-section .container .layout-left .services .service .icon {
    height: 3rem;
  }
  .services-section .container .layout-left .services .service .title {
    font-size: 1.8rem;
  }
  .services-section .container .layout-left .services .service .description {
    font-size: 1.4rem;
  }
  .services-section .container .layout-right {
    padding: 3vh 0;
    position: relative;
    z-index: 9;
    background-color: #fff;
  }
  .services-section .container .layout-right .icons-container {
    width: 100%;
  }
  .services-section .container .layout-right .icons-container .center {
    width: 4rem;
    height: 4rem;
  }
  .services-section .container .layout-right .icons-container .center svg {
    width: 100%;
    height: 100%;
    transform: scale(1) !important;
  }
  .services-section .container .layout-right .icons-container .icons {
    margin: 0;
  }
  .services-section
    .container
    .layout-right
    .icons-container
    .icons
    .icon-item
    .icon {
    width: 2.3rem;
    height: 2.3rem;
  }
}
